To keep MoRK secure and cutting edge we have built MoRK off FileMaker’s Workplace Innovation Platform. We will keep in line with FileMaker for the sake of your data. This does require our clients to feel the same way about data security and innovation and be prepared to keep in line with minimum hardware and software requirements.

MoRK via the desktop client – FileMaker Pro Advance:

System requirements

Certified Operating System*
Windows 10 Pro Edition
Windows 10 Enterprise Edition
32-bit and 64-bit
Fall Creators Update
Windows 8.1 Standard Edition
Windows 8.1 Pro Edition
System updates 2919355 and 2999226
Windows 7 SP1 Professional Edition
Windows 7 SP1 Ultimate Edition
System update 2999226
macOS High Sierra 10.13
macOS Sierra 10.12

*Version stated is the minimum requirement. FileMaker Pro Advanced may also work with later operating systems certified by FileMaker, Inc. Operating systems not listed in the table above have not been tested and are not supported.

Hardware requirements

Minimum Requirements
Recommended Requirements
Windows CPU: 1 GHz or faster x86- or x64-bit processor
RAM: 1 GB
CPU: 1 GHz or faster x86- or x64-bit processor
RAM: 2 GB or more
Mac RAM: 2 GB RAM: 4 GB or more

MoRK via web browser – WebDirect

Supported web browsers

Desktop browsers

Mobile browsers

Safari 11.x minimum Mobile Safari on iOS 11.2 minimum
Chrome 65 minimum Chrome 65 minimum on Android 7.x minimum
Internet Explorer 11.x
Microsoft Edge 41

MoRK Connect via the Apple app store

Is compatible with iOS devices running iOS 11.2 minimum and requires iTunes 12.x minimum.

Last updated November 2018